/*
 * BlockingQueue.hpp
 *
 *  Created on: May 17, 2018
 *      Author: Andreas Schneider, Johannes Wendel, Jonas Zeunert
 */

#ifndef SRC_UTILITIES_IBLOCKINGQUEUE_H_
#define SRC_UTILITIES_IBLOCKINGQUEUE_H_

namespace flippR_driver
{
namespace utility
{
template<typename T>
class IBlockingQueue
{
public:
  virtual ~IBlockingQueue() = default;

  virtual void push(T const &value) = 0;
  virtual T pop() = 0;

};

}
}

#endif